Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Interface EventDispatcher

All Known Implementing Classes:
  AWTEventDispatcher

public interface EventDispatcher

Interface for receiving and dispatching events down to a GVT tree.

Mouse events are dispatched to their "containing" node (the GraphicsNode corresponding to the mouse event coordinate). Searches for containment are performed from the EventDispatcher's "root" node.

Method Summary
`void` | `addGraphicsNodeKeyListener(GraphicsNodeKeyListener l)` Adds the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.
`void` | `addGraphicsNodeMouseListener(GraphicsNodeMouseListener l)` Adds the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.
`void` | `dispatchEvent(java.util.EventObject e)` Dispatched the specified event object.
`java.awt.geom.AffineTransform` | `getBaseTransform()` Returns the base transform applied to MouseEvent coordinates prior to dispatch.
`java.util.EventListener[]` | `getListeners(java.lang.Class listenerType)` Returns an array of listeners that were added to this event dispatcher and of the specified type.
`GraphicsNode` | `getRootNode()` Returns the root node for MouseEvent dispatch containment searches and field selections.
`void` | `removeGraphicsNodeKeyListener(GraphicsNodeKeyListener l)` Removes the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.
`void` | `removeGraphicsNodeMouseListener(GraphicsNodeMouseListener l)` Removes the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.
`void` | `setBaseTransform(java.awt.geom.AffineTransform t)` Sets the base transform applied to MouseEvent coordinates prior to dispatch.
`void` | `setNodeDecrementEvent(java.awt.event.InputEvent e)` Associates all InputEvents of type `e.getID()` with "decrementing" of the currently selected GraphicsNode.
`void` | `setNodeIncrementEvent(java.awt.event.InputEvent e)` Associates all InputEvents of type `e.getID()` with "incrementing" of the currently selected GraphicsNode.
`void` | `setRootNode(GraphicsNode root)` Sets the root node for MouseEvent dispatch containment searches and field selections.

Method Detail

### setRootNode

    public void setRootNode(GraphicsNode root)

  Sets the root node for MouseEvent dispatch containment searches and field selections.

  Parameters:
    `root` - the root node

### getRootNode

    public GraphicsNode getRootNode()

  Returns the root node for MouseEvent dispatch containment searches and field selections.

### setBaseTransform

    public void setBaseTransform(java.awt.geom.AffineTransform t)

  Sets the base transform applied to MouseEvent coordinates prior to dispatch.

  Parameters:
    `t` - the affine transform

### getBaseTransform

    public java.awt.geom.AffineTransform getBaseTransform()

  Returns the base transform applied to MouseEvent coordinates prior to dispatch.

### dispatchEvent

    public void dispatchEvent(java.util.EventObject e)

  Dispatched the specified event object.

  Converts the EventObject to a corresponding GraphicsNodeEvent and dispatch it to the appropriate GraphicsNode(s). If the event is a MouseEvent the dispatch is performed to each GraphicsNode which contains the MouseEvent coordinate, until the event is consumed. If the event is a KeyEvent, it is dispatched to the currently selected GraphicsNode.

  Parameters:
    `e` - the event to dispatch

### addGraphicsNodeMouseListener

    public void addGraphicsNodeMouseListener(GraphicsNodeMouseListener l)

  Adds the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.

  Parameters:
    `l` - the listener to add

### removeGraphicsNodeMouseListener

    public void removeGraphicsNodeMouseListener(GraphicsNodeMouseListener l)

  Removes the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.

  Parameters:
    `l` - the listener to remove

### addGraphicsNodeKeyListener

    public void addGraphicsNodeKeyListener(GraphicsNodeKeyListener l)

  Adds the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.

  Parameters:
    `l` - the listener to add

### removeGraphicsNodeKeyListener

    public void removeGraphicsNodeKeyListener(GraphicsNodeKeyListener l)

  Removes the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.

  Parameters:
    `l` - the listener to remove

### getListeners

    public java.util.EventListener[] getListeners(java.lang.Class listenerType)

  Returns an array of listeners that were added to this event dispatcher and of the specified type.

  Parameters:
    `listenerType` - the type of the listeners to return

### setNodeIncrementEvent

    public void setNodeIncrementEvent(java.awt.event.InputEvent e)

  Associates all InputEvents of type `e.getID()` with "incrementing" of the currently selected GraphicsNode.

### setNodeDecrementEvent

    public void setNodeDecrementEvent(java.awt.event.InputEvent e)

  Associates all InputEvents of type `e.getID()` with "decrementing" of the currently selected GraphicsNode. The notion of "currently selected" GraphicsNode is used for dispatching KeyEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.